seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2021/01/27, 18:50:42


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: gelöst: fglrx und nvidia kaputt  (Read 24808 times)

0 Members and 1 Guest are viewing this topic.

Offline towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.437
gelöst: fglrx und nvidia kaputt
« Reply #30 on: 2011/06/22, 23:47:26 »
Quote
[23:28] <the-me> zobel: Maik: wenn ftp-masters jetzt noch glx-alternative accepten, dann kann ich nen gefixten fglrx hochladen..
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.437
gelöst: fglrx und nvidia kaputt
« Reply #31 on: 2011/06/24, 18:00:46 »
Für Nvidia liegen gefixte Pakete in Experimental.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline agaida

  • User
  • Posts: 1.760
    • http://g-com.eu
gelöst: fglrx und nvidia kaputt
« Reply #32 on: 2011/06/24, 18:35:49 »
Die Diversifizierungen würde ich erst mal andere Leute probieren lassen, es ist nicht ubedingt schön, da den alpha-Tester zu spielen. Das könnte länger dauern.

Wenn dann was schief läuft, hat man viel Freude beim Aufräumen. Ich kann da allerdings nur von ATI sprechen, Spass macht das noch nicht wirklich. Die Mesa-Sachen sind noch nicht ganz sauber.
There's this special biologist word we use for "stable". It's "dead". ~ Jack Cohen

Offline towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.437
gelöst: fglrx und nvidia kaputt
« Reply #33 on: 2011/06/24, 18:37:48 »
Auf 64bit gibts kein Problem mit nvidia.
32bit hat ein kaputtes glx-alternative-mesa.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline agaida

  • User
  • Posts: 1.760
    • http://g-com.eu
gelöst: fglrx und nvidia kaputt
« Reply #34 on: 2011/06/24, 18:50:43 »
Das habe ich heute morgen auf 64bit mit ATI anders durch. Seit dem benutze ich wieder mal den radeon, der erstaunlich gut funktioniert. Ich hatte einfach noch keine Zeit und Lust, genauer zu schauen, wo es hängt. ;)
There's this special biologist word we use for "stable". It's "dead". ~ Jack Cohen

Offline OppaErich

  • OLE
  • User
  • Posts: 378
gelöst: fglrx und nvidia kaputt
« Reply #35 on: 2011/06/24, 20:38:04 »
Quote from: "towo"
Then, there is no xserver-xorg-video-nvidia installed.

Du hast wie immer recht, Problem ist nur apt-cache search findet kein Paket mit dem Namen.  :|

Offline towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.437
gelöst: fglrx und nvidia kaputt
« Reply #36 on: 2011/06/24, 20:39:34 »
Weils das nur in experimentalgibt vielleicht?
Code: [Select]

towo:Defiant> apt-cache policy xserver-xorg-video-nvidia
xserver-xorg-video-nvidia:
  Installiert: (keine)
  Kandidat:    275.09.07-3
  Versionstabelle:
     275.09.07-3 0
        100 ftp://ftp.de.debian.org/debian/ experimental/non-free amd64 Packages
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline ayla

  • User
  • Posts: 1.706
gelöst: fglrx und nvidia kaputt
« Reply #37 on: 2011/06/24, 20:53:56 »
Quote from: "agaida"
Das habe ich heute morgen auf 64bit mit ATI anders durch.


Hatte, seit der Thread hier existiert, kein d-u mehr gemacht und bin heute ungeduldig geworden.
Dank Deiner Warnung hab ich, da fglrx-glx entfernt werden sollte, libgl1-mesa-glx vor dem d-u auf hold gesetzt.
Code: [Select]
Die folgenden Pakete sind zurückgehalten worden:
  libgl1-mesa-dri libgl1-mesa-glx xserver-xorg-core

Danach lief das d-u problemlos, fglrx-11-4-modul wurde gebaut und läuft. KDE ebenfalls ohne Probleme.

Nur für den Fall...

Gruß
ayla
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205

Offline Saint

  • User
  • Posts: 41
    • http://de.windows7sins.org/
gelöst: fglrx und nvidia kaputt
« Reply #38 on: 2011/06/24, 21:25:54 »
Nvidia aus Experimental funktioniert ohne Probleme. Vor Upgrade den Treiber aus Unstable löschen.

Quote

..
ii  glx-alternative-nvidia  0.0.1
ii  glx-diversions  0.0.1
ii  libgl1-mesa-glx  7.10.3-3
ii  libgl1-nvidia-glx 275.09.07-3.1
..
Blacklist: Oracle - Adobe - Google

Offline agaida

  • User
  • Posts: 1.760
    • http://g-com.eu
gelöst: fglrx und nvidia kaputt
« Reply #39 on: 2011/06/25, 10:24:08 »
Ich will ja jetzt nicht anfangen zu weinen. Aber eins ist Fakt: Irgendwo in dem neuen Zeug ist ein gewaltiger Hau drin (fglrx). Der Treiber baut auf den Kernel ohne Probleme, aber in den Untiefen dieser kopfkranken Erfindung "Alternativen" hakt es gar mächtig.

Kopfkrank deshalb, weil es einfach nicht sein kann, dass in 3 Paketen und an verschiedensten Orten gefrickelt wird um ganze 2 Dateien (meinetwegen auch 3) in der richtigen Reihenfolge vom richtigen Ort zu laden. Das ist einfach nur krank. Erstaunlich ist, dass einer der Zwischenstände (nicht der jetzige in exp.) funktioniert hat. Falls jemand eine Idee hat, was man wo verbiegen muss, bitte her damit. Ich habe keine Lust mehr, da hinterherzusuchen. Ich hab mir dann erst mal einen alternativen grub-Eintrag mit modeset=1 gemacht und fahre bis auf weiteres den radeon, auch wenn ich da das Stromsparen wieder extra anschalten muss. Und dann warte ich einfach ab, wie diese Farce weitergeht.

Erstaunlich ist, dass diesmal an dem Schrott kein aptosid-dev beteiligt ist.
There's this special biologist word we use for "stable". It's "dead". ~ Jack Cohen

Offline Spinne

  • User
  • Posts: 31
    • http://www.mein-spinnennetz.ch
gelöst: fglrx und nvidia kaputt
« Reply #40 on: 2011/06/25, 11:38:09 »
Hoi towo

Quote from: "towo"
Für Nvidia liegen gefixte Pakete in Experimental.


Quote from: "towo"
Auf 64bit gibts kein Problem mit nvidia.


wegen dem Nvidia häng ich jetzt ein bissel hinter her mit dem d-u

bei mir will er nach wie vor diese 3 Pakete removen:
Code: [Select]
Remv nvidia-glx [270.41.19-1]
Remv libgl1-nvidia-glx [270.41.19-1]
Remv libgl1-nvidia-alternatives [270.41.19-1]


und diese beiden upgraden:
Code: [Select]
Inst nvidia-kernel-dkms [270.41.19-1] (275.09.07-1 Debian:unstable [amd64])
Inst nvidia-kernel-source (275.09.07-1 Debian:unstable [amd64])
Conf nvidia-kernel-dkms (275.09.07-1 Debian:unstable [amd64])
Conf nvidia-kernel-source (275.09.07-1 Debian:unstable [amd64])


System
Code: [Select]
Host/Kernel/OS  "tine" running Linux 2.6.39-1.slh.3-aptosid-amd64 x86_64 [ sidux 2009-02 Αιθήρ - kde-lite - (200907141521) ]
CPU Info        4x Intel Core2 Quad Q9400 @ 3072 KB cache flags( sse3 ht nx lm vmx ) clocked at [ 2003.000 MHz ]            
Videocard       nVidia G96 [GeForce 9400 GT]     [  ]                                                                      
Network cards   Marvell 88E8056 PCI-E Gigabit                                                                              
                Marvell 88E8001 Gigabit                                                                                    
Processes 143 | Uptime 10min | Memory 812.3/3966.1MB | HDD ST3200822A,WDC WD5000AAKS-0 Size 700GB (29%used) | Client Shell | Infobash v3.36

sollte ich noch warten, oder kann ich ein d-u wagen?

Merci schon mal
Tine

Offline OppaErich

  • OLE
  • User
  • Posts: 378
gelöst: fglrx und nvidia kaputt
« Reply #41 on: 2011/06/25, 11:42:22 »
Quote from: "towo"
Weils das nur in experimental gibt vielleicht

Ist nun installiert, immer noch "Failed to load module nvidia", kein X.

Offline DonKult

  • User
  • Posts: 278
    • http://donkult.wordpress.com
gelöst: fglrx und nvidia kaputt
« Reply #42 on: 2011/06/25, 11:46:27 »
Quote from: "agaida"
Ich will ja jetzt nicht anfangen zu weinen. Aber eins ist Fakt: Irgendwo in dem neuen Zeug ist ein gewaltiger Hau drin (fglrx).

Ignorieren wir mal den recht sinnfreien snippischen Seitenhieb und sagen wir dann, dass der erste exp. Upload keinen Support für fglrx hatte, weshalb es gut sein kann, dass es da noch ging, weil es eben nicht ging… (gut zu verstehen, nicht war?)

Der Hack mit den Alternativen in Paketen ist sicherlich nicht so hübsch, aber besser als der Hack zuvor (Diversions?) und lösbar scheint mir das nicht zu sein, weil man wohl Namen der Datei in den untiefen des binären Treibers ändern müsste um sich Diversions oder Alternativen zu ersparen… Kannst ja mal AMD und Nvidia fragen ob sie das für dich tun…

Mal davon abgesehen, dass man nun theoretisch jedes dieser Pakete installieren kann und dann "nur" die Alternative umschalten muss was für Systeme ganz nett sein kann die die Grafikkarte öfter wechseln (Persist auf USB-Stick z.B.).



Und JFTR: Das Paket hält inzwischen auch Einzug in unstable, also ist der Umweg über experimental nicht mehr nötig bzw. veraltet bzw. bald überhaupt nicht mehr möglich.
MfG. DonKult
\"Sprächen die Menschen nur von Dingen, von denen sie etwas verstehen, die Stille wäre unerträglich.\" ~ unbekannter Autor

Offline reddark

  • User
  • Posts: 1.047
    • http://www.klangruinen.de/
gelöst: fglrx und nvidia kaputt
« Reply #43 on: 2011/06/25, 13:52:27 »
Update mit fglrx aus experimental hat bei mir funktioniert ...

Offline ayla

  • User
  • Posts: 1.706
gelöst: fglrx und nvidia kaputt
« Reply #44 on: 2011/06/25, 15:28:06 »
Quote from: "reddark"
Update mit fglrx aus experimental hat bei mir funktioniert ...


hmm, dann bin ich wohl zu blöd.
Nach dem Versuch libgl1-mesa-glx und fglrx* auf experimental upzugraden läuft bei mir jetzt mal wieder der radeon.
Der Versuch mit dem fglrx endete in der Konsole.
Weder eigene (mini)-20-fglrx.conf noch eine von aticonfig erstellte ändern was.
Code: [Select]
   30.116]
X.Org X Server 1.10.2
Release Date: 2011-05-28
[    30.116] X Protocol Version 11, Revision 0
[    30.116] Build Operating System: Linux 2.6.39-1-amd64 x86_64 Debian
[    30.116] Current Operating System: Linux nescaya 2.6.39-2.slh.1-aptosid-amd64 #1 SMP PREEMPT Thu Jun 23 22:36:49 UTC 2011 x86_64
[    30.116] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.39-2.slh.1-aptosid-amd64 root=UUID=14d6b7a7-e328-4ea4-9526-529eecece101 ro radeon.modeset=0
[    30.116] Build Date: 17 June 2011  04:13:25PM
[    30.116] xorg-server 2:1.10.2-2 (Cyril Brulebois <kibi>)
[    30.116] Current version of pixman: 0.21.8
[    30.116] Before reporting problems, check http://wiki.x.org
to make sure that you have the latest version.
[    30.116] Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    30.117] (==) Log file: "/var/log/Xorg.0.log", Time: Sat Jun 25 14:59:47 2011
[    30.122] (==) Using config file: "/etc/X11/xorg.conf"
[    30.122] (==) Using config directory: "/etc/X11/xorg.conf.d"
[    30.122] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    30.125] (==) ServerLayout "aticonfig Layout"
[    30.125] (**) |-->Screen "aticonfig-Screen[0]-0" (0)
[    30.125] (**) |   |-->Monitor "aticonfig-Monitor[0]-0"
[    30.126] (**) |   |-->Device "aticonfig-Device[0]-0"
[    30.126] (==) Automatically adding devices
[    30.126] (==) Automatically enabling devices
[    30.138] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    30.138] Entry deleted from font path.
[    30.142] (WW) The directory "/usr/share/fonts/X11/Type1" does not exist.
[    30.142] Entry deleted from font path.
[    30.142] (WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
[    30.142] Entry deleted from font path.
[    30.142] (==) FontPath set to:
/usr/share/fonts/X11/misc,
/usr/share/fonts/X11/100dpi/:unscaled,
/usr/share/fonts/X11/75dpi/:unscaled,
/usr/share/fonts/X11/100dpi,
/usr/share/fonts/X11/75dpi,
built-ins
[    30.142] (==) ModulePath set to "/usr/lib/xorg/modules"
[    30.143] (II) The server relies on udev to provide the list of input devices.
If no devices become available, reconfigure udev or disable AutoAddDevices.
[    30.143] (II) Loader magic: 0x7d7a20
[    30.143] (II) Module ABI versions:
[    30.143] X.Org ANSI C Emulation: 0.4
[    30.143] X.Org Video Driver: 10.0
[    30.143] X.Org XInput driver : 12.2
[    30.143] X.Org Server Extension : 5.0
[    30.144] (--) PCI:*(0:0:1:0) 1002:9802:1043:84a5 rev 0, Mem @ 0xc0000000/268435456, 0xfeb00000/262144, 0xfe900000/1048576, I/O @ 0x0000f000/256
[    30.145] (II) Open ACPI successful (/var/run/acpid.socket)
[    30.145] (II) "extmod" will be loaded by default.
[    30.145] (II) "dbe" will be loaded by default.
[    30.145] (II) "glx" will be loaded by default.
[    30.145] (II) "record" will be loaded by default.
[    30.145] (II) "dri" will be loaded by default.
[    30.145] (II) "dri2" will be loaded by default.
[    30.145] (II) LoadModule: "extmod"
[    30.154] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[    30.157] (II) Module extmod: vendor="X.Org Foundation"
[    30.157] compiled for 1.10.2, module version = 1.0.0
[    30.157] Module class: X.Org Server Extension
[    30.157] ABI class: X.Org Server Extension, version 5.0
[    30.157] (II) Loading extension SELinux
[    30.157] (II) Loading extension MIT-SCREEN-SAVER
[    30.157] (II) Loading extension XFree86-VidModeExtension
[    30.157] (II) Loading extension XFree86-DGA
[    30.157] (II) Loading extension DPMS
[    30.157] (II) Loading extension XVideo
[    30.157] (II) Loading extension XVideo-MotionCompensation
[    30.157] (II) Loading extension X-Resource
[    30.157] (II) LoadModule: "dbe"
[    30.157] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[    30.158] (II) Module dbe: vendor="X.Org Foundation"
[    30.158] compiled for 1.10.2, module version = 1.0.0
[    30.158] Module class: X.Org Server Extension
[    30.158] ABI class: X.Org Server Extension, version 5.0
[    30.158] (II) Loading extension DOUBLE-BUFFER
[    30.158] (II) LoadModule: "glx"
[    30.159] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    30.162] (II) Module glx: vendor="X.Org Foundation"
[    30.162] compiled for 1.10.2, module version = 1.0.0
[    30.162] ABI class: X.Org Server Extension, version 5.0
[    30.162] (==) AIGLX enabled
[    30.162] (II) Loading extension GLX
[    30.162] (II) LoadModule: "record"
[    30.164] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[    30.166] (II) Module record: vendor="X.Org Foundation"
[    30.166] compiled for 1.10.2, module version = 1.13.0
[    30.166] Module class: X.Org Server Extension
[    30.166] ABI class: X.Org Server Extension, version 5.0
[    30.166] (II) Loading extension RECORD
[    30.166] (II) LoadModule: "dri"
[    30.167] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[    30.174] (II) Module dri: vendor="X.Org Foundation"
[    30.174] compiled for 1.10.2, module version = 1.0.0
[    30.174] ABI class: X.Org Server Extension, version 5.0
[    30.174] (II) Loading extension XFree86-DRI
[    30.174] (II) LoadModule: "dri2"
[    30.174] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    30.175] (II) Module dri2: vendor="X.Org Foundation"
[    30.175] compiled for 1.10.2, module version = 1.2.0
[    30.175] ABI class: X.Org Server Extension, version 5.0
[    30.175] (II) Loading extension DRI2
[    30.175] (II) LoadModule: "fglrx"
[    30.176] (WW) Warning, couldn't open module fglrx
[    30.176] (II) UnloadModule: "fglrx"
[    30.176] (II) Unloading fglrx
[    30.176] (EE) Failed to load module "fglrx" (module does not exist, 0)
[    30.176] (EE) No drivers available.
[    30.176]
Fatal server error:
[    30.176] no screens found
[    30.176]
Please consult the The X.Org Foundation support
at http://wiki.x.org
 for help.
[    30.176] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    30.176]

fglrx-modules-dkms installiert und dkms hat auch den Bau der module gemeldet.
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205